ZASYI(3)

SYNOPSIS
SUBROUTINE ZASYI (ZR, ZI, FNU, KODE, N, YR, YI, NZ, RL, TOL, ELIM, + ALIM)

NAME
zasyi - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CASYI-A, ZASYI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZASYI COMPUTES THE I BESSEL FUNCTION FOR REAL(Z).GE.0.0 BY MEANS OF THE ASYMPTOTIC EXPANSION FOR LARGE ABS(Z) IN THE REGION ABS(Z).GT.MAX(RL,FNU*FNU/2). NZ=0 IS A NORMAL RETURN. NZ.LT.0 INDICATES AN OVERFLOW ON KODE=1.

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, ZABS, ZDIV, ZEXP, ZMLT, ZSQRT

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)
930122 Added ZEXP and ZSQRT to EXTERNAL statement. (RWC)